Updating the Java Runtime Support Framework

For the best results on macOS 10.10 (Yosemite), the Java Runtime Support framework should be upgraded. The upgrade is performed by installing the Java for OS X 2015-001 update. This update installs a later version of the Java Runtime Support framework that fixes critical bugs. It also installs the old Apple Java 1.6, which is not used by the rendering library and may be deleted if not needed for some other reason.

To delete the Apple Java 1.6, execute the following command:

sudo rm -rf /Library/Java/JavaVirtualMachines/1.6.0.jdk

If you do not know what sudo does, you probably are better off leaving Apple Java 1.6 installed.